Skip to main content
GET
/
libraries
/
{libraryId}
/
videos
/
custom
/
{customFiled}
/
{customId}
Get Video By Custom ID
curl --request GET \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/custom/{customFiled}/{customId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/custom/{customFiled}/{customId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/custom/{customFiled}/{customId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/custom/{customFiled}/{customId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/custom/{customFiled}/{customId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.get("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/custom/{customFiled}/{customId}")
.header("Authorization", "Bearer <token>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/custom/{customFiled}/{customId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/custom/{customFiled}/{customId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": {
    "id": "a927290e-b0ae-4d27-a46d-50089ead2610",
    "name": "Test video updated",
    "description": "this is my description updated",
    "status": "created",
    "library_id": "0a7e7664-28fd-4d19-a715-855e14d8889f",
    "organization_id": "a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04",
    "folder_id": "1d5abf89-295c-45f0-bc21-bcb9185bb9f2",
    "metadata": {
      "note": "this is my meta data updated"
    },
    "created_at": "2025-10-20T17:31:57.400917+06:00",
    "updated_at": "2025-10-20T17:37:55.641895+06:00"
  },
  "message": "Video Fetched Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

customFiled
string
required

Field name which will be used to get the video resource it's associated with.

customId
string
required

Field value as uuid to retrive video resource.

Response

The response is of type object.